/*  streamOp.h  -  sockets */

#ifndef    STREAMOP_H
#define    STREAMOP_H

#include <sys/types.h>

/*******************************************************************/
/*     Quelques operations de lecture/ecriture sur socket          */
/*                     en mode connecte                            */
/*******************************************************************/

extern ssize_t writeLong(int sockfd, const long *l);
extern ssize_t readLong(int sockfd, long *l);

/* 
   On peut faire aussi des operations pour transmettre des objets
   plus complexes comme des chaines, ....
*/

#endif  /* STREAMOP_H */
